#ifndef DIROPTUTILS_H
#define DIROPTUTILS_H
#include <QObject>
#include <QMap>

class DirOptUtils
{
public:
    DirOptUtils();
    ~DirOptUtils();

    QStringList getFileListUnderDir1(const QString&);        //遍历当前路径下文件
    QStringList getFileListUnderDir2(const QString&);
    QString getRelativePath(const QString&);
    QString calculateMd5(const QString&);
    void testPrintMap();
    bool generateCheckFile();
private:
    QMap<QString, QString> mMap;
    QString mdirPath;

};

#endif // DIROPTUTILS_H
